//
//  ImageCapturePrefsManager.h
//  Configure
//
//  Created by Stan Pulchtopek on Fri Feb 15 2002.
//  Copyright (c) 2002 Eastman Kodak Company. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface ImageCapturePrefsManager : NSObject {
    NSString *_ImageCapturePrefFileIdentifier;
    NSString *_ImageCaptureDeviceFileIdentifier;
    NSString *_user;
    NSString *_hotPlugActionPathKey;
    NSString *_hotPlugActionArrayKey;
    NSString *_hotPlugActionPath;
    NSMutableArray *_hotPlugActionPathArray;
    NSMutableArray *_cameraArray;
    NSMutableArray *_syncDateAndTime_DeviceArray;
}

- (id)initWithUser:(NSString *)user;
- (NSString *)_ImageCapturePrefFileIdentifier;
- (void)setHotPlugActionPath:(NSString *)hotPlugActionPath;
- (NSString *)getHotPlugActionPath;
- (void)addPathToHotPlugActionArray:(NSString *)pathToAdd;
- (void)removePathFromHotPlugActionArray:(NSString *)pathToRemove;
- (NSArray *)getHotPlugActionArray;
- (BOOL)commitChanges;
- (void)setAutoSyncDateAndTime:(NSNumber *)value;

@end
